#include "ros/ros.h"
#include "std_msgs/String.h"

float get_next_random(){
	
	return 0;
}

int main(int argc, char **argv){
	
	
	ros::init(argc, argv, "my_first_node");
	
	ros::NodeHandle n;
	
	ros::Publisher my_publisher = n.advertise<std_msgs::String>("chatter", 1000);

	ros::Rate loop_rate(100); //20 Hz rate
	int count = 0;
	while (ros::ok()){
		
		std_msgs::String message;
		
		message.data = "hello";
		
		ROS_INFO("hello %s %i",message.data.c_str(),count);
		
		my_publisher.publish(message);
		count++;
		
		ros::spinOnce();
		
		loop_rate.sleep();
	}
	
	return 0;
}
